import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:mnemo_cards/main.dart';

import '../theme/themes.dart';

class BigBackButton extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: EdgeInsets.symmetric(horizontal: 10.0.w, vertical: 10.0.h),
      child: InkWell(
        onTap: appRouter.maybePop,
        child: Container(
          height: 90.h,
          alignment: Alignment.center,
          decoration: BoxDecoration(
            color: Colors.white,
            border: Border.all(color: borderGray),
            borderRadius: BorderRadius.circular(16.0),
          ),
          padding: EdgeInsets.all(10.0.w),
          child: Text(
            'Назад',
            style: TextStyle(
              fontSize: 25.sp,
              fontWeight: FontWeight.w500,
              height: 0.85,
            ),
          ),
        ),
      ),
    );
  }

  const BigBackButton();
}
